BytecodeExpression (Groovy 5.1.0)

Package: org.codehaus.groovy.classgen

## [Java] Class BytecodeExpression

- org.codehaus.groovy.classgen.BytecodeExpression

-     public abstract class BytecodeExpression
      extends Expression

  Represents some custom bytecode generation by the compiler.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static BytecodeExpression` | `NOP` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Expression` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BytecodeExpression()`
    `BytecodeExpression(ClassNode type)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `getText()`
    `` | `public Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `public void` | `visit(org.objectweb.asm.MethodVisitor visitor)`
    `` | `public abstract void` | `visit(org.objectweb.asm.MethodVisitor visitor)`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Field Detail

    - #### public static final BytecodeExpression NOP

  - ### Constructor Detail

    - #### public BytecodeExpression()

    - #### public BytecodeExpression(ClassNode type)

  - ### Method Detail

    - #### @Override
      public String getText()

    - #### @Override
      public Expression transformExpression(ExpressionTransformer transformer)

    - #### @Override
      public void visit(org.objectweb.asm.MethodVisitor visitor)

    - #### public abstract void visit(org.objectweb.asm.MethodVisitor visitor)

    - #### @Override
      public void visit(GroovyCodeVisitor visitor)